@extends('admin::curd.index')
@section('heading')
<i class="fa fa-file-text-o"></i> {!! trans('service::service.name') !!} <small> {!! trans('app.manage') !!} {!! trans('service::service.names') !!}</small>
@stop

@section('title')
{!! trans('service::service.names') !!}
@stop

@section('breadcrumb')
<ol class="breadcrumb">
    <li><a href="{!! trans_url('admin') !!}"><i class="fa fa-dashboard"></i> {!! trans('app.home') !!} </a></li>
    <li class="active">{!! trans('service::service.names') !!}</li>
</ol>
@stop

@section('entry')
<div id='service-service-entry'>
</div>
@stop

@section('tools')
@stop

@section('content')
<table id="service-service-list" class="table table-striped data-table">
    <thead class="list_head">
        <th>{!! trans('service::service.label.status')!!}</th>
                    <th>{!! trans('service::service.label.created_at')!!}</th>
                    <th>{!! trans('service::service.label.updated_at')!!}</th>
    </thead>
    <thead  class="search_bar">
        <th>{!! Form::text('date[status]')->raw()!!}</th>
                    <th>{!! Form::text('date[created_at]')->raw()!!}</th>
                    <th>{!! Form::text('date[updated_at]')->raw()!!}</th>
    </thead>
</table>
@stop

@section('script')
<script type="text/javascript">

var oTable;
$(document).ready(function(){
    app.load('#service-service-entry', '{!!trans_url('admin/service/service/0')!!}');
    oTable = $('#service-service-list').dataTable( {
        "bProcessing": true,
        "sDom": 'R<>rt<ilp><"clear">',
        "bServerSide": true,
        "sAjaxSource": '{!! trans_url('/admin/service/service') !!}',
        "fnServerData" : function ( sSource, aoData, fnCallback ) {

            $('#service-service-list .search_bar input, #service-service-list .search_bar select').each(
                function(){
                    aoData.push( { 'name' : $(this).attr('name'), 'value' : $(this).val() } );
                }
            );
            app.dataTable(aoData);
            $.ajax({
                'dataType'  : 'json',
                'data'      : aoData,
                'type'      : 'GET',
                'url'       : sSource,
                'success'   : fnCallback
            });
        },

        "columns": [
            {data :'status'},
            {data :'created_at'},
            {data :'updated_at'},
        ],
        "pageLength": 25
    });

    $('#service-service-list tbody').on( 'click', 'tr', function () {

        oTable.$('tr.selected').removeClass('selected');
        $(this).addClass('selected');

        var d = $('#service-service-list').DataTable().row( this ).data();

        $('#service-service-entry').load('{!!trans_url('admin/service/service')!!}' + '/' + d.id);
    });

    $("#service-service-list .search_bar input, #service-service-list .search_bar select").on('keyup select', function (e) {
        e.preventDefault();
        console.log(e.keyCode);
        if (e.keyCode == 13 || e.keyCode == 9) {
            oTable.api().draw();
        }
    });
});
</script>
@stop

@section('style')
@stop

