<?php

namespace Litecms\Service\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Service\Interfaces\ServiceRepositoryInterface;

class ServicePublicController extends BaseController
{
    // use ServiceWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\Service\Interfaces\ServiceRepositoryInterface $service
     *
     * @return type
     */
    public function __construct(ServiceRepositoryInterface $service)
    {
        $this->repository = $service;
        parent::__construct();
    }

    /**
     * Show service's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $services = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('service::public.service.index', compact('services'))->render();
    }

    /**
     * Show service.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $service = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('service::public.service.show', compact('service'))->render();
    }

}
