<?php

namespace Litecms\Service\Workflow;

use Litecms\Service\Models\Service;
use Litecms\Service\Notifications\Service as ServiceNotifyer;
use Notification;

class ServiceNotification
{

    /**
     * Send the notification to the users after complete.
     *
     * @param Service $service
     *
     * @return void
     */
    public function complete(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'complete'));;
    }

    /**
     * Send the notification to the users after verify.
     *
     * @param Service $service
     *
     * @return void
     */
    public function verify(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'verify'));;
    }

    /**
     * Send the notification to the users after approve.
     *
     * @param Service $service
     *
     * @return void
     */
    public function approve(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'approve'));;

    }

    /**
     * Send the notification to the users after publish.
     *
     * @param Service $service
     *
     * @return void
     */
    public function publish(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'publish'));;
    }

    /**
     * Send the notification to the users after archive.
     *
     * @param Service $service
     *
     * @return void
     */
    public function archive(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'archive'));;

    }

    /**
     * Send the notification to the users after unpublish.
     *
     * @param Service $service
     *
     * @return void
     */
    public function unpublish(Service $service)
    {
        return Notification::send($service->user, new ServiceNotifyer($service, 'unpublish'));;

    }
}
